%define momorel 1

%define texmfdir	%{_datadir}/texmf

Summary: Dvipdfm with Asian languages by CID-keyed font technology support
Name: dvipdfmx
Version: 20040411
Release: %{momorel}m
%NoSource 0 http://project.ktug.or.kr/dvipdfmx/snapshot/current/%{name}-%{version}.tar.gz 020082733aef4a10b6580a3a4e846b69
Patch: dvipdfmx-config.patch
URL: http://project.ktug.or.kr/dvipdfmx/
License: GPL
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group: Applications/Publishing
BuildRequires: kpathsea-devel, tetex
BuildRequires: libpng-devel >= 1.2.2
PreReq: sh-utils, kpathsea
Requires: tetex, tetex-dvipsk, tetex-type1
Requires: ghostscript-resource

%description
The dvipdfmx (formerly dvipdfm-cjk) project provides an eXtended version of
the dvipdfm, a DVI to PDF translator developed by Mark A. Wicks. The primary
goal of this project is to support multi-byte character encodings and large
character sets for East Asian languages by CID-keyed font technology. The
secondary goal is to support as many features as pdfTeX developed by Han The
Thanh. This project is a combined work of the dvipdfm-jpn project by
Shunsaku Hirata and its modified one, dvipdfm-kor, by Jin-Hwan Cho. 

%prep
%setup -q
%patch -p0 -b .config~

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

# remove patch backup files
find . -name '*~' | xargs rm -f

%makeinstall texmf=%{buildroot}%{texmfdir} install
%__ln_s %{_datadir}/ghostscript/Resource %{buildroot}%{texmfdir}/dvipdfm

# No translation at this time.
#%find_lang %name

%post
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc	BUGS COPYING ChangeLog INSTALL README TODO
	%{_bindir}/dvipdfmx
%dir	%{texmfdir}/dvipdfm
%dir	%{texmfdir}/dvipdfm/config
%config	%{texmfdir}/dvipdfm/config/*
	%{texmfdir}/dvipdfm/CMap
	%{texmfdir}/dvipdfm/Resource

%changelog
* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (20040411-1m)
- verup

* Wed Mar 17 2004 Toru Hoshina <t@momonga-linux.org>
- (20031207-3m)
- revised spec for enabling rpm 4.2.

* Mon Dec 22 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (20031207-2m)
- change the order of cid-x.map and dvipdfm.map in dvipdfmx.cfg
  (dvipdfmx-config.patch)
- add symlink %{texmfdir}/dvipdfm/Resource -> %{_datadir}/ghostscript/Resource
  and add Requires: ghostscript-resource
- use %%NoSource

* Sat Dec 20 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (20031207-1m)
- dvipdfmx initial revision

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (0.13.3c-15m)
- Requires: tetex-dvipsk.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (0.13.3c-14m)
- PreReq: kpathsea.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (0.13.3c-13m)
- synchronize to tetex.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (0.13.3c-12k)
- /usr/bin/env -> sh-utils in PreReq.

* Sat Apr 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.13.3c-10k)
- rebuild against libpng-1.2.2

* Fri Mar 29 2002 Kenta MURATA <muraken@kondara.org>
- (0.13.3c-8k)
- use updmap for extra font map files.

* Sat Jan 19 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (0.13.3c-6k)
- Fixed changelog typo.

* Fri Jan 18 2002 Motonobu Ichimura <famao@kondara.org>
- (0.13.3c-4k)
- add Require tetex-dvips

* Thu Oct 18 2001 Motonobu Ichimura <famao@kondara.org>
- (0.13.3c-2k)
- sync with Jirai

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (0.13.2b-6k)
- rebuild against libpng 1.2.0.

* Sat Oct 06 2001 Motonobu Ichimura <famao@kondara.org>
- (0.13.2c-3k)
- up to 0.13.2c
- update japanese patch

* Sat Jun 23 2001 Motonobu Ichimura <famao@kondara.org>
- (0.13.2b-4k)
- import to Mary
- Kondarized

* Thu Jun 21 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-4
- apply dvipdfm-jpatch-p0c.patch.gz

* Fri Jun 15 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-3
- add out2uni
- apply printf and pagesize patch.

* Tue Jun 12 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-2
- apply patch-psspecial.c and jpatch-p0b.
